//
//  ViewController.swift
//  where-for-lunch
//
//  Created by Jake Marsh on 7/27/15.
//  Copyright © 2015 Magnus. All rights reserved.
//

import UIKit
import MapKit

class ViewController: UIViewController, CLLocationManagerDelegate {
  var manager: CLLocationManager?

  @IBAction func loadRestaurantsNearby() {
    manager = CLLocationManager()
    manager!.delegate = self
    manager!.desiredAccuracy = kCLLocationAccuracyThreeKilometers

    manager!.requestWhenInUseAuthorization()

    manager!.requestLocation()
  }
  
  func locationManager(manager: CLLocationManager, didUpdateLocations locations: [AnyObject]) {
    guard let location = locations.first as? CLLocation else { return }

    // then later, once we have a location:
    
let request = MKLocalSearchRequest()

request.naturalLanguageQuery = "Restuarants"
request.region = MKCoordinateRegionMakeWithDistance(location.coordinate, 30, 30)

MKLocalSearch(request: request).startWithCompletionHandler { (response, error) in
  guard error == nil else { return }
  guard let response = response else { return }
  guard response.mapItems.count > 0 else { return }

  let randomIndex = Int(arc4random_uniform(UInt32(response.mapItems.count)))
  let mapItem = response.mapItems[randomIndex]

  mapItem.openInMapsWithLaunchOptions(nil)
}
  }
  
  func locationManager(manager: CLLocationManager, didFailWithError error: NSError) {
    print("Error determining location: \(error.localizedDescription)")
  }
}

